Package ru.nilsoft.tm

# Class TMCommand.paramServiceMode

java.lang.Object
ru.nilsoft.tm.TMCommand.paramServiceMode

Enclosing class:
  `TMCommand`

public static final class TMCommand.paramServiceMode extends Object
Дополнительные параметры для сервисных команд [0x9C] (смотри `TMCommand.CmdServiceMode(byte)`)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `PSM_BE`
  Стирание FLASH КФН (без дополнительных параметров).
  `static final byte`
  `PSM_BI`
  Инициализация FLASH КФН (без дополнительных параметров).
  `static final byte`
  `PSM_BR`
  ???
  `static final byte`
  `PSM_BS`
  ???
  `static final byte`
  `PSM_HA`
  Ввод кода активации для КФН (дополнительный параметр: код активации).
  `static final byte`
  `PSM_HC`
  Реинициализация CMOS КФН (дополнительный параметр: код активации - необязательный).
  `static final byte`
  `PSM_HM`
  Полное стирание CMOS КФН (дополнительный параметр: код активации - необязательный).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `paramServiceMode()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PSM_HM

    public static final byte PSM_HM
    Полное стирание CMOS КФН (дополнительный параметр: код активации - необязательный).
    See Also:
      - Constant Field Values

  - ### PSM_HC

    public static final byte PSM_HC
    Реинициализация CMOS КФН (дополнительный параметр: код активации - необязательный).
    See Also:
      - Constant Field Values

  - ### PSM_HA

    public static final byte PSM_HA
    Ввод кода активации для КФН (дополнительный параметр: код активации).
    See Also:
      - Constant Field Values

  - ### PSM_BE

    public static final byte PSM_BE
    Стирание FLASH КФН (без дополнительных параметров).
    See Also:
      - Constant Field Values

  - ### PSM_BI

    public static final byte PSM_BI
    Инициализация FLASH КФН (без дополнительных параметров).
    See Also:
      - Constant Field Values

  - ### PSM_BS

    public static final byte PSM_BS
    ??? (без дополнительных параметров).
    See Also:
      - Constant Field Values

  - ### PSM_BR

    public static final byte PSM_BR
    ??? (без дополнительных параметров).
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### paramServiceMode

    public paramServiceMode()